Bug 206344 - EMBEDDEDPORTS isn't documented in release/release.conf.sample
Summary: EMBEDDEDPORTS isn't documented in release/release.conf.sample
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: 10.2-STABLE
Hardware: Any Any
: --- Affects Only Me
Assignee: Glen Barber
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-17 22:08 UTC by Enji Cooper
Modified: 2017-12-04 16:19 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Enji Cooper freebsd_committer 2016-01-17 22:08:34 UTC
Just wanted to add a few ports to a release ISO and I noticed that EMBEDDEDPORTS wasn't documented in release.conf.sample .
Comment 1 Glen Barber freebsd_committer 2016-01-17 22:34:41 UTC
I'll fix the documentation issue, but note EMBEDDEDPORTS does not do what you seem to think it does - it is only useful for embedded devices (i.e., arm/armv6, arm64/aarch64).
Comment 2 Enji Cooper freebsd_committer 2016-01-18 04:47:33 UTC
Hmmm... I was trying to add some ports to the image(s) so they'd be more useful at work without having to install the system (I have some systems booted over IPMI with the ISOs mounted), e.g.

EMBEDDEDPORTS=devel/ipmitool

I assume this is just for building though :/?
Comment 3 Glen Barber freebsd_committer 2016-01-20 10:30:27 UTC
(In reply to NGie Cooper from comment #2)
> Hmmm... I was trying to add some ports to the image(s) so they'd be more
> useful at work without having to install the system (I have some systems
> booted over IPMI with the ISOs mounted), e.g.
> 
> EMBEDDEDPORTS=devel/ipmitool
> 

Yes, I figured this is what you thought this was useful to do with EMBEDDEDPORTS.

> I assume this is just for building though :/?

Correct.  As-is, this is only used to generate the final image, not a list of what is installed on the target image.  I do have a few items in-progress at the moment that will allow doing what you want, but it somewhat depends on getting the release-pkg branch sorted out, and merged to head first.

The mkisoimages.sh scripts, however, already natively support what you are trying to accomplish, and somewhat recently, support for this has been added to the various ISO image targets by specifying XTRADIR.

Alternatively, you can use pkg(8) chroot(8) functionality to populate the DESTDIR/usr/local with the package(s) you want included on the ISO, but there is no target to do this automatically yet.
Comment 4 commit-hook freebsd_committer 2017-11-28 18:03:07 UTC
A commit references this bug:

Author: gjb
Date: Tue Nov 28 18:02:58 UTC 2017
New revision: 326330
URL: https://svnweb.freebsd.org/changeset/base/326330

Log:
  Add a comment to release/release.conf.sample documenting
  EMBEDDEDPORTS. [1]

  Remove and update stale documentation from release(7) while here.

  PR:		206344 [1]
  MFC after:	3 days
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/release/release.conf.sample
  head/share/man/man7/release.7
Comment 5 Glen Barber freebsd_committer 2017-11-28 18:03:53 UTC
Belatedly committed as r326330, pending MFC.
Comment 6 commit-hook freebsd_committer 2017-12-04 15:28:40 UTC
A commit references this bug:

Author: gjb
Date: Mon Dec  4 15:28:08 UTC 2017
New revision: 326534
URL: https://svnweb.freebsd.org/changeset/base/326534

Log:
  MFC r326315, r326330, r326331, r326412:

   r326315:
    Set DISTDIR and WRKDIRPREFIX when building ports within the
    chroot(8) to avoid mtime changes within the ports checkout,
    which can cause checksum differences.

   r326330:
    Add a comment to release/release.conf.sample documenting
    EMBEDDEDPORTS. [1]

    Remove and update stale documentation from release(7) while here.

   r326331:
    Correct a comment.

   r326412:
    Fix port build flags passed to make(1) after r326315, where
    it was missed for embedded image builds.

  PR:		206344 [1]
  Sponsored by:	The FreeBSD Foundation

Changes:
_U  stable/10/
  stable/10/release/release.conf.sample
  stable/10/release/release.sh
  stable/10/share/man/man7/release.7
_U  stable/11/
  stable/11/release/release.conf.sample
  stable/11/release/release.sh
  stable/11/share/man/man7/release.7